
Redmine - Defect #4402

Prompt before deleting a Project Member (Project Settings > Members)

2009-12-15 11:14 - ruth sharon y 

Status: Closed Start date: 2009-12-15

Priority: Low Due date:  

Assignee:  % Done: 0%

Category: Accounts / authentication Estimated time: 0.00 hour

Target version: 0.9.0   

Resolution: Fixed Affected version:  

Description

Created a project in the redmine demo running version 3136.

Went to the new project settings section, members and viewed my role.

Clicking on delete is actually deleting me with the role project manager without even a alert message.

Can this be fixed.. This is desirable in a community project

Associated revisions

Revision 3249 - 2009-12-26 16:46 - Jean-Philippe Lang

Ask for confirmation when a non-admin users tries to remove himself from a project (#4402).

History

#1 - 2009-12-16 00:47 - Shane Pearlman

I think an alert message is a good idea, but I would strongly suggest we allow people to remove themselves from projects. I am a PM and often hand

off projects to another PM. I want to remove myself to avoid the heavy flow of email as well as to keep accountability clear.

#2 - 2009-12-24 20:04 - Eric Davis

- Subject changed from Able to delete my role in the project to Prompt before deleting a Project Member (Project Settings > Members)

- Category set to Accounts / authentication

#3 - 2009-12-26 16:39 - Jean-Philippe Lang

- Status changed from New to Resolved

- Target version set to 0.9.0

- Resolution set to Fixed

See r3249.

#4 - 2009-12-27 13:34 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged in 0.9-stable in r3255.

#5 - 2009-12-28 06:51 - ruth sharon y 

Shane Pearlman wrote:

I think an alert message is a good idea, but I would strongly suggest we allow people to remove themselves from projects. I am a PM and often

hand off projects to another PM. I want to remove myself to avoid the heavy flow of email as well as to keep accountability clear.

 Ok Shane, i think an alert message would be great. Thanks for the quick update
